section(anchor="MIDDLEWARE_LOCK")
  name Machines Locking

  t
    | Advisory flock is used to prevent updates on the machines whilst
    | acquisition is ongoing, this file #[bcp14 MUST] be
    | #[tt "/run/lock/puppetlock"].

  t
    | This lock #[bcp14 SHOULD] be held when debugging or to run
    | alternative software, any changes #[bcp14 MAY] be overridden
    | (configuration files, binaries) by the automated system update
    | mechanism on the contrary.

  t
    | The following command #[bcp14 MAY] be used:
  figure
    name Middleware Locking command
    sourcecode(type="shell")
      | # lock will be held until shell exits
      | flock -sn /run/lock/puppetlock bash